from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GenericToBixolonMediaSensorType Converter")

class GenericToBixolonMediaSensorType(Converter):

	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "None":
			res = "Continuous"
		elif myList[0] == "Gap":
			res = "Gap"
		elif myList[0] == "Mark":
			res = "Mark sensing"
		return res




plugin = GenericToBixolonMediaSensorType("GenericToBixolonMediaSensorType")

store.AddConverter(plugin)